<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxMorphing (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxMorphing (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxMorphing.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.swing.util</a></div>
<h2 title="Class mxMorphing" class="title">Class mxMorphing</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">hk.quantr.mxgraph.util.mxEventSource</a></li>
<li>
<ul class="inheritance">
<li><a href="mxAnimation.html" title="class in hk.quantr.mxgraph.swing.util">hk.quantr.mxgraph.swing.util.mxAnimation</a></li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.swing.util.mxMorphing</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxMorphing</span>
extends <a href="mxAnimation.html" title="class in hk.quantr.mxgraph.swing.util">mxAnimation</a></pre>
<div class="block">Provides animation effects.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cells">cells</a></span></code></th>
<td class="colLast">
<div class="block">Optional array of cells to limit the animation to.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#dirty">dirty</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ease">ease</a></span></code></th>
<td class="colLast">
<div class="block">Ease-off for movement towards the given vector.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the enclosing graph instance.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.util.Map&lt;java.lang.Object,&#8203;<a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#origins">origins</a></span></code></th>
<td class="colLast">
<div class="block">Maps from cells to origins.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../view/mxCellStatePreview.html" title="class in hk.quantr.mxgraph.swing.view">mxCellStatePreview</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#preview">preview</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#step">step</a></span></code></th>
<td class="colLast">
<div class="block">Counts the current number of steps of the animation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#steps">steps</a></span></code></th>
<td class="colLast">
<div class="block">Specifies the maximum number of steps for the morphing.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.hk.quantr.mxgraph.swing.util.mxAnimation">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;hk.quantr.mxgraph.swing.util.<a href="mxAnimation.html" title="class in hk.quantr.mxgraph.swing.util">mxAnimation</a></h3>
<code><a href="mxAnimation.html#DEFAULT_DELAY">DEFAULT_DELAY</a>, <a href="mxAnimation.html#delay">delay</a>, <a href="mxAnimation.html#timer">timer</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../../util/mxEventSource.html#eventListeners">eventListeners</a>, <a href="../../util/mxEventSource.html#eventsEnabled">eventsEnabled</a>, <a href="../../util/mxEventSource.html#eventSource">eventSource</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxMorphing</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">
<div class="block">Constructs a new morphing instance for the given graph.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,int,double,int)">mxMorphing</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
          int&nbsp;steps,
          double&nbsp;ease,
          int&nbsp;delay)</code></th>
<td class="colLast">
<div class="block">Constructs a new morphing instance for the given graph.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#animateCell(java.lang.Object,hk.quantr.mxgraph.swing.view.mxCellStatePreview,boolean)">animateCell</a></span>&#8203;(java.lang.Object&nbsp;cell,
           <a href="../view/mxCellStatePreview.html" title="class in hk.quantr.mxgraph.swing.view">mxCellStatePreview</a>&nbsp;move,
           boolean&nbsp;recurse)</code></th>
<td class="colLast">
<div class="block">Animates the given cell state using moveState.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected <a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDelta(hk.quantr.mxgraph.view.mxCellState)">getDelta</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Returns the vector between the current rendered state and the future
 location of the state after the display will be updated.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getEase()">getEase</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the easing for the movements.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected <a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOriginForCell(java.lang.Object)">getOriginForCell</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns the top, left corner of the given cell.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSteps()">getSteps</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the number of steps for the animation.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paint(java.awt.Graphics)">paint</a></span>&#8203;(java.awt.Graphics&nbsp;g)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCells(java.lang.Object%5B%5D)">setCells</a></span>&#8203;(java.lang.Object[]&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Optional array of cells to be animated.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setEase(double)">setEase</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the easing for the movements.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSteps(int)">setSteps</a></span>&#8203;(int&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the number of steps for the animation.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#show(hk.quantr.mxgraph.swing.view.mxCellStatePreview)">show</a></span>&#8203;(<a href="../view/mxCellStatePreview.html" title="class in hk.quantr.mxgraph.swing.view">mxCellStatePreview</a>&nbsp;preview)</code></th>
<td class="colLast">
<div class="block">Shows the changes in the given mxCellStatePreview.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#stopAnimation()">stopAnimation</a></span>()</code></th>
<td class="colLast">
<div class="block">Stops the animation by deleting the timer and fires mxEvent.DONE.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#stopRecursion(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.util.mxPoint)">stopRecursion</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
             <a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;delta)</code></th>
<td class="colLast">
<div class="block">Returns true if the animation should not recursively find more
 deltas for children if the given parent state has been animated.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateAnimation()">updateAnimation</a></span>()</code></th>
<td class="colLast">
<div class="block">Animation step.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.swing.util.mxAnimation">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.swing.util.<a href="mxAnimation.html" title="class in hk.quantr.mxgraph.swing.util">mxAnimation</a></h3>
<code><a href="mxAnimation.html#getDelay()">getDelay</a>, <a href="mxAnimation.html#isRunning()">isRunning</a>, <a href="mxAnimation.html#setDelay(int)">setDelay</a>, <a href="mxAnimation.html#startAnimation()">startAnimation</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../../util/mxEventSource.html#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a>, <a href="../../util/mxEventSource.html#fireEvent(hk.quantr.mxgraph.util.mxEventObject)">fireEvent</a>, <a href="../../util/mxEventSource.html#fireEvent(hk.quantr.mxgraph.util.mxEventObject,java.lang.Object)">fireEvent</a>, <a href="../../util/mxEventSource.html#getEventSource()">getEventSource</a>, <a href="../../util/mxEventSource.html#isEventsEnabled()">isEventsEnabled</a>, <a href="../../util/mxEventSource.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a>, <a href="../../util/mxEventSource.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a>, <a href="../../util/mxEventSource.html#setEventsEnabled(boolean)">setEventsEnabled</a>, <a href="../../util/mxEventSource.html#setEventSource(java.lang.Object)">setEventSource</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="graphComponent">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>graphComponent</h4>
<pre>protected&nbsp;<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a> graphComponent</pre>
<div class="block">Reference to the enclosing graph instance.</div>
</li>
</ul>
<a id="steps">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>steps</h4>
<pre>protected&nbsp;int steps</pre>
<div class="block">Specifies the maximum number of steps for the morphing. Default is
 6.</div>
</li>
</ul>
<a id="step">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>step</h4>
<pre>protected&nbsp;int step</pre>
<div class="block">Counts the current number of steps of the animation.</div>
</li>
</ul>
<a id="ease">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ease</h4>
<pre>protected&nbsp;double ease</pre>
<div class="block">Ease-off for movement towards the given vector. Larger values are
 slower and smoother. Default is 1.5.</div>
</li>
</ul>
<a id="origins">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>origins</h4>
<pre>protected&nbsp;java.util.Map&lt;java.lang.Object,&#8203;<a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt; origins</pre>
<div class="block">Maps from cells to origins.</div>
</li>
</ul>
<a id="cells">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cells</h4>
<pre>protected&nbsp;java.lang.Object[] cells</pre>
<div class="block">Optional array of cells to limit the animation to.</div>
</li>
</ul>
<a id="dirty">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dirty</h4>
<pre>protected transient&nbsp;<a href="../../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a> dirty</pre>
</li>
</ul>
<a id="preview">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>preview</h4>
<pre>protected transient&nbsp;<a href="../view/mxCellStatePreview.html" title="class in hk.quantr.mxgraph.swing.view">mxCellStatePreview</a> preview</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(hk.quantr.mxgraph.swing.mxGraphComponent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxMorphing</h4>
<pre>public&nbsp;mxMorphing&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</pre>
<div class="block">Constructs a new morphing instance for the given graph.</div>
</li>
</ul>
<a id="&lt;init&gt;(hk.quantr.mxgraph.swing.mxGraphComponent,int,double,int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxMorphing</h4>
<pre>public&nbsp;mxMorphing&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                  int&nbsp;steps,
                  double&nbsp;ease,
                  int&nbsp;delay)</pre>
<div class="block">Constructs a new morphing instance for the given graph.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getSteps()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSteps</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getSteps()</pre>
<div class="block">Returns the number of steps for the animation.</div>
</li>
</ul>
<a id="setSteps(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSteps</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSteps&#8203;(int&nbsp;value)</pre>
<div class="block">Sets the number of steps for the animation.</div>
</li>
</ul>
<a id="getEase()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEase</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getEase()</pre>
<div class="block">Returns the easing for the movements.</div>
</li>
</ul>
<a id="setEase(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEase</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setEase&#8203;(double&nbsp;value)</pre>
<div class="block">Sets the easing for the movements.</div>
</li>
</ul>
<a id="setCells(java.lang.Object[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCells</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setCells&#8203;(java.lang.Object[]&nbsp;value)</pre>
<div class="block">Optional array of cells to be animated. If this is not specified
 then all cells are checked and animated if they have been moved
 in the current transaction.</div>
</li>
</ul>
<a id="updateAnimation()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateAnimation</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateAnimation()</pre>
<div class="block">Animation step.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="mxAnimation.html#updateAnimation()">updateAnimation</a></code>&nbsp;in class&nbsp;<code><a href="mxAnimation.html" title="class in hk.quantr.mxgraph.swing.util">mxAnimation</a></code></dd>
</dl>
</li>
</ul>
<a id="stopAnimation()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stopAnimation</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;stopAnimation()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="mxAnimation.html#stopAnimation()">mxAnimation</a></code></span></div>
<div class="block">Stops the animation by deleting the timer and fires mxEvent.DONE.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="mxAnimation.html#stopAnimation()">stopAnimation</a></code>&nbsp;in class&nbsp;<code><a href="mxAnimation.html" title="class in hk.quantr.mxgraph.swing.util">mxAnimation</a></code></dd>
</dl>
</li>
</ul>
<a id="show(hk.quantr.mxgraph.swing.view.mxCellStatePreview)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>show</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;show&#8203;(<a href="../view/mxCellStatePreview.html" title="class in hk.quantr.mxgraph.swing.view">mxCellStatePreview</a>&nbsp;preview)</pre>
<div class="block">Shows the changes in the given mxCellStatePreview.</div>
</li>
</ul>
<a id="animateCell(java.lang.Object,hk.quantr.mxgraph.swing.view.mxCellStatePreview,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>animateCell</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;animateCell&#8203;(java.lang.Object&nbsp;cell,
                           <a href="../view/mxCellStatePreview.html" title="class in hk.quantr.mxgraph.swing.view">mxCellStatePreview</a>&nbsp;move,
                           boolean&nbsp;recurse)</pre>
<div class="block">Animates the given cell state using moveState.</div>
</li>
</ul>
<a id="stopRecursion(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.util.mxPoint)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stopRecursion</h4>
<pre class="methodSignature">protected&nbsp;boolean&nbsp;stopRecursion&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                                <a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;delta)</pre>
<div class="block">Returns true if the animation should not recursively find more
 deltas for children if the given parent state has been animated.</div>
</li>
</ul>
<a id="getDelta(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDelta</h4>
<pre class="methodSignature">protected&nbsp;<a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;getDelta&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Returns the vector between the current rendered state and the future
 location of the state after the display will be updated.</div>
</li>
</ul>
<a id="getOriginForCell(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOriginForCell</h4>
<pre class="methodSignature">protected&nbsp;<a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;getOriginForCell&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns the top, left corner of the given cell.</div>
</li>
</ul>
<a id="paint(java.awt.Graphics)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>paint</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;paint&#8203;(java.awt.Graphics&nbsp;g)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxMorphing.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
